Package net.shibboleth.idp.profile.interceptor

# Class AbstractProfileInterceptorResult

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.profile.interceptor.AbstractProfileInterceptorResult

All Implemented Interfaces:
  `ProfileInterceptorResult`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

Direct Known Subclasses:
  `ConsentResult`

public abstract class AbstractProfileInterceptorResult extends AbstractIdentifiableInitializableComponent implements ProfileInterceptorResult
Base class for profile interceptor results.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`storageContext`
Storage context.
`private Instant`
`storageExpiration`
Storage expiration.
`private String`
`storageKey`
Storage key.
`private String`
`storageValue`
Storage value.

## Constructor Summary

Constructors
Constructor
Description
`AbstractProfileInterceptorResult(String context, String key, String value, Instant expiration)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getStorageContext()`
Get the storage context.
`Instant`
`getStorageExpiration()`
Get the storage expiration.
`String`
`getStorageKey()`
Get the storage key.
`String`
`getStorageValue()`
Get the storage value.

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### storageContext

@Nonnull @NotEmpty private String storageContext
Storage context.

### storageKey

@Nonnull @NotEmpty private String storageKey
Storage key.

### storageValue

@Nonnull @NotEmpty private String storageValue
Storage value.

### storageExpiration

@Nullable private Instant storageExpiration
Storage expiration.

## Constructor Details

### AbstractProfileInterceptorResult

public AbstractProfileInterceptorResult(@Nonnull @NotEmpty String context, @Nonnull @NotEmpty String key, @Nonnull @NotEmpty String value, @Nullable Instant expiration)
Constructor.

Parameters:
  `context` - storage context
  `key` - storage key
  `value` - storage value
  `expiration` - storage expiration

## Method Details

### getStorageContext

@Nonnull @NotEmpty public String getStorageContext()
Get the storage context.

Specified by:
  `getStorageContext` in interface `ProfileInterceptorResult`
Returns:
  the storage context

### getStorageKey

@Nonnull @NotEmpty public String getStorageKey()
Get the storage key.

Specified by:
  `getStorageKey` in interface `ProfileInterceptorResult`
Returns:
  the storage key

### getStorageValue

@Nonnull @NotEmpty public String getStorageValue()
Get the storage value.

Specified by:
  `getStorageValue` in interface `ProfileInterceptorResult`
Returns:
  the storage value

### getStorageExpiration

@Nullable public Instant getStorageExpiration()
Get the storage expiration.

Specified by:
  `getStorageExpiration` in interface `ProfileInterceptorResult`
Returns:
  the storage expiration